dbXML API

## com.dbxml.db.admin.components
Class GridEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JScrollPane
                      com.dbxml.db.admin.xmleditor.XMLEditor
                          com.dbxml.db.admin.components.GridEditor

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.ScrollPaneConstants, java.io.Serializable, TabbedNodeEditor

public class GridEditor
extends XMLEditor
implements TabbedNodeEditor

GridEditor

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.ScrollPaneConstants

`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GridEditor()`

Method Summary
`void` `activate(boolean readOnly)`
`void` `beautify()`
`void` `copy()`
`void` `cut()`
`boolean` `deactivate()`
`void` `find()`
`void` `findNext()`
`DocWrapper` `getDocWrapper()`
`boolean` `isBeautifyEnabled()`
`boolean` `isCopyEnabled()`
`boolean` `isCutEnabled()`
`boolean` `isPasteEnabled()`
`boolean` `isUndoEnabled()`
`void` `paste()`
`void` `reset()`
`void` `setDocWrapper(DocWrapper doc)`
`void` `undo()`

Methods inherited from class com.dbxml.db.admin.xmleditor.XMLEditor

`getAttribColor, getAttribLabelSize, getCommentColor, getContentModel, getElementColor, getFont, getIndentSize, getNode, getResourceMap, getTextColor, isCollapseText, isExpandable, isExpanded, isModified, isReadOnly, isShowAttribs, isShowComments, isShowRootElement, setAttribColor, setAttribLabelSize, setCollapseText, setCommentColor, setContentModel, setElementColor, setExpandable, setExpanded, setFont, setIndentSize, setModified, setNode, setReadOnly, setResourceMap, setShowAttribs, setShowComments, setShowRootElement, setSource, setTextColor`

Methods inherited from class javax.swing.JScrollPane

`createHorizontalScrollBar, createVerticalScrollBar, getAccessibleContext, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getUI, getUIClassID, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorder, getViewportBorderBounds, isValidateRoot, isWheelScrollingEnabled, setColumnHeader, setColumnHeaderView, setComponentOrientation, setCorner, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setLayout, setRowHeader, setRowHeaderView, setUI, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportBorder, setViewportView, setWheelScrollingEnabled, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.dbxml.db.admin.TabbedNodeEditor
`isModified`

Constructor Detail

### GridEditor

    public GridEditor()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `TabbedNodeEditor`

### setDocWrapper

    public void setDocWrapper(DocWrapper doc)

  Specified by:
    `setDocWrapper` in interface `TabbedNodeEditor`

### isCutEnabled

    public boolean isCutEnabled()

  Specified by:
    `isCutEnabled` in interface `TabbedNodeEditor`

### cut

    public void cut()

  Specified by:
    `cut` in interface `TabbedNodeEditor`

### isCopyEnabled

    public boolean isCopyEnabled()

  Specified by:
    `isCopyEnabled` in interface `TabbedNodeEditor`

### copy

    public void copy()

  Specified by:
    `copy` in interface `TabbedNodeEditor`

### isPasteEnabled

    public boolean isPasteEnabled()

  Specified by:
    `isPasteEnabled` in interface `TabbedNodeEditor`

### paste

    public void paste()

  Specified by:
    `paste` in interface `TabbedNodeEditor`

### isUndoEnabled

    public boolean isUndoEnabled()

  Specified by:
    `isUndoEnabled` in interface `TabbedNodeEditor`

### undo

    public void undo()

  Specified by:
    `undo` in interface `TabbedNodeEditor`

### find

    public void find()

  Specified by:
    `find` in interface `TabbedNodeEditor`

### findNext

    public void findNext()

  Specified by:
    `findNext` in interface `TabbedNodeEditor`

### isBeautifyEnabled

    public boolean isBeautifyEnabled()

  Specified by:
    `isBeautifyEnabled` in interface `TabbedNodeEditor`

### beautify

    public void beautify()

  Specified by:
    `beautify` in interface `TabbedNodeEditor`

### getDocWrapper

    public DocWrapper getDocWrapper()

  Specified by:
    `getDocWrapper` in interface `TabbedNodeEditor`

### activate

    public void activate(boolean readOnly)

  Specified by:
    `activate` in interface `TabbedNodeEditor`

### deactivate

    public boolean deactivate()

  Specified by:
    `deactivate` in interface `TabbedNodeEditor`

dbXML API

Copyright (c) 2004 The dbXML Group